Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/NetronVisualization.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/NetronVisualization.cs	(revision 3166)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/HeuristicLab.Netron-3.0.2672.12446/NetronVisualization.cs	(revision 3167)
@@ -116,12 +116,16 @@
     }
 
+
+    protected override void OnMouseWheel(MouseEventArgs e) {
+      //inserted to disable scrolling by the mousewheel
+      //base.OnMouseWheel(e);
+    }
+
     protected override void OnScroll(ScrollEventArgs se) {
       //base.OnScroll(se);
       if (se.ScrollOrientation == ScrollOrientation.HorizontalScroll) {
         Origin = new Point(se.NewValue, Origin.Y);
-        //System.Diagnostics.Trace.WriteLine(se.NewValue);
       } else {
         Origin = new Point(Origin.X, se.NewValue);
-        //System.Diagnostics.Trace.WriteLine(se.NewValue);
       }
     }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/ControllerBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/ControllerBase.cs	(revision 3166)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.Netron/3.0.2672.12446/Netron.Diagramming.Core-3.0.2672.12446/Core/ControllerBase.cs	(revision 3167)
@@ -6,313 +6,293 @@
 using System.ComponentModel;
 using System.Diagnostics;
-namespace Netron.Diagramming.Core
-{
-    // ----------------------------------------------------------------------
-    /// <summary>
-    /// Abstract base implementation of the <see cref="IController"/> 
-    /// interface.
-    /// </summary>
-    // ----------------------------------------------------------------------
-    public abstract class ControllerBase : IUndoSupport, IController
-    {
-        #region Events
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when the context menu is shown.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public event EventHandler<EntityMenuEventArgs> OnShowContextMenu;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when a tool is asked to be deactivated.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public event EventHandler<ToolEventArgs> OnToolDeactivate;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when a tool is asked to be activated.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public event EventHandler<ToolEventArgs> OnToolActivate;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when the history has changed in the undo/redo mechanism.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public event EventHandler<HistoryChangeEventArgs> OnHistoryChange;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when the something got selected and the properties of it 
-        /// can/should be shown.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public event EventHandler<SelectionEventArgs> OnShowSelectionProperties;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when an entity is added.
-        /// <remarks>This event usually is bubbled from one of the 
-        /// layers.</remarks>
-        /// </summary>
-        // ------------------------------------------------------------------
-        public event EventHandler<EntityEventArgs> OnEntityAdded;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when an entity is removed.
-        /// <remarks>This event usually is bubbled from one of the 
-        /// layers.</remarks>
-        /// </summary>
-        // ------------------------------------------------------------------
-        public event EventHandler<EntityEventArgs> OnEntityRemoved;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when the controller receives a mouse-down notification of 
-        /// the surface. This event is raised before the
-        /// event is broadcasted down to the tools.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public event EventHandler<MouseEventArgs> OnMouseDown;
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Occurs when the Ambience has changed.
-        /// </summary>
-        // ------------------------------------------------------------------
-        public event EventHandler<AmbienceEventArgs> OnAmbienceChanged;
-        
-        
-        #endregion
-
-        #region Tool Names
-
-        public const string AlignBottomEdgesToolName =
-            "Align Bottom Edges Tool";
-
-        public const string AlignCentersHorizToolName =
-            "Align Centers Horizontally";
-
-        public const string AlignCentersVertToolName =
-            "Align Centers Vertically";
-
-        public const string AlignLeftEdgesToolName =
-            "Align Left Edges Tool";
-
-        public const string AlignRightEdgesToolName =
-            "Align Right Edges Tool";
-
-        public const string AlignTopEdgesToolName =
-            "Align Top Edges Tool";
-
-        public const string ComplexRectangleToolName = "ComplexRectangle Tool";
-        public const string ConnectionToolName = "Connection Tool";
-        public const string ConnectorMoverToolName = "Connector Mover Tool";
-        public const string ContextToolName = "Context Tool";
-        public const string CopyToolName = "Copy Tool";
-        public const string CutToolName = "Cut Tool";
-        public const string DeleteToolName = "Delete Tool";         
-        public const string DragDropToolName = "DragDrop Tool";
-        public const string EllipseToolName = "Ellipse Tool";
-        public const string GroupToolName = "Group Tool";
-        public const string HitToolName = "Hit Tool";
-        public const string HoverToolName = "Hover Tool";
-        public const string ImageExportToolName = "Image Export Tool";
-        public const string MoveToolName = "Move Tool";
-        public const string MultiLineToolName = "MultiLine Tool";
-        public const string PanToolName = "Pan Tool";
-        public const string PasteToolName = "Paste Tool";
-        public const string PolygonToolName = "Polygon Tool";
-        public const string RectangleToolName = "Rectangle Tool";
-        public const string ScribbleToolName = "Scribble Tool";
-        public const string SelectionToolName = "Selection Tool";
-        public const string SendBackwardsToolName = "SendBackwards Tool";
-        public const string SendForwardsToolName = "SendForwards Tool";
-        public const string SendToBackToolName = "SendToBack Tool";
-        public const string SendToFrontToolName = "SendToFront Tool";
-        public const string TransformToolName = "Transform Tool";       
-        public const string UngroupToolName = "Ungroup Tool";
-        public const string ZoomAreaToolName = "Zoom Area Tool";
-        public const string ZoomInToolName = "Zoom In Tool";
-        public const string ZoomOutToolName = "Zoom Out Tool";       
-
-        #endregion
-
-        #region Fields
-
-        private bool eventsEnabled = true;
-        private bool controllerEnabled = true;
-
-        private IModel mModel;
-        private UndoManager mUndoManager;
-        ITool activeTool;
-
-        /// <summary>
-        /// the View field
-        /// </summary>
-        private IView mView;
-        private CollectionBase<IMouseListener> mouseListeners;
-        private CollectionBase<IKeyboardListener> keyboardListeners;
-        private CollectionBase<IDragDropListener> dragdropListeners;
-        private IDiagramControl parentControl;
-        private CollectionBase<ITool> registeredTools;
-        private CollectionBase<IActivity> registeredActivity;
-        
-        #endregion
-
-        #region Properties
-
-        /// <summary>
-        /// Gets or sets a value indicating whether this <see cref="T:ControllerBase"/> is enabled.
-        /// </summary>
-        /// <value><c>true</c> if enabled; otherwise, <c>false</c>.</value>
-        public bool Enabled
-        {
-            get
-            {
-                return controllerEnabled;
-            }
-            set
-            {
-                controllerEnabled = value;
-            }
-        }
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Gets the currently active tool.  This can be 'null'!!!
-        /// </summary>
-        // ------------------------------------------------------------------
-        public ITool ActiveTool
-        {
-            get
-            {
-                return this.activeTool;
-            }
-        }
-
-        /// <summary>
-        /// Gets or sets the parent control.
-        /// </summary>
-        /// <value>The parent control.</value>
-         public IDiagramControl ParentControl
-        {
-            get { return parentControl; }
-            internal set { parentControl = value; }
-        }
-        /// <summary>
-        /// Gets the registered tools.
-        /// </summary>
-        /// <value>The tools.</value>
-        public CollectionBase<ITool> Tools
-        {
-            get { return registeredTools; }
-        }
-
-
-
-        /// <summary>
-        /// Gets the undo manager.
-        /// </summary>
-        /// <value>The undo manager.</value>
-        public  UndoManager UndoManager
-        {
-            get
-            {
-                return mUndoManager;
-            }
-
-        }
-
-        /// <summary>
-        /// Gets or sets the model
-        /// </summary>
-        /// <value></value>
-        public IModel Model
-        {
-            get
-            {
-                return mModel;
-            }
-            set
-            {
-                AttachToModel(value);
-            }
-        }
-
-        /// <summary>
-        /// Gets or sets the view.
-        /// </summary>
-        /// <value>The view.</value>
-        public IView View
-        {
-            get
-            {
-                return mView;
-            }
-            set
-            {
-                AttachToView(value);
-            }
-        }
-
-        /// <summary>
-        /// Attaches to the given view.
-        /// </summary>
-        /// <param name="view">The view.</param>
-        private void AttachToView(IView view)
-        {
-            if (view == null)
-                throw new ArgumentNullException();
-
-            mView = view;
-        }
-        #endregion
-
-        #region Constructor
-
-        // ------------------------------------------------------------------
-        /// <summary>
-        /// Default constructor.
-        /// </summary>
-        // ------------------------------------------------------------------
-        protected ControllerBase(IDiagramControl surface)
-        {
-            //doesn't work if you supply a null reference
-            if (surface == null)
-            {
-                throw new NullReferenceException(
-                    "The diagram control assigned to the controller " +
-                    "cannot be 'null'");
-            }
-            
-            //create the undo/redo manager
-            mUndoManager = new UndoManager(15);
-            mUndoManager.OnHistoryChange += new EventHandler(
-                mUndoManager_OnHistoryChange);
-
-            #region Instantiation of listeners
-            mouseListeners = new CollectionBase<IMouseListener>();
-            keyboardListeners = new CollectionBase<IKeyboardListener>();
-            dragdropListeners = new CollectionBase<IDragDropListener>();
-            #endregion
-
-            //keep a reference to the parent control
-            parentControl = surface;
-
-            AttachToSurface(parentControl);
-            
-           
-
-            //Initialize the colorscheme
-            ArtPalette.Init();
-
-            #region Tools: the registration order matters!
-            /*
+namespace Netron.Diagramming.Core {
+  // ----------------------------------------------------------------------
+  /// <summary>
+  /// Abstract base implementation of the <see cref="IController"/> 
+  /// interface.
+  /// </summary>
+  // ----------------------------------------------------------------------
+  public abstract class ControllerBase : IUndoSupport, IController {
+    #region Events
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when the context menu is shown.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public event EventHandler<EntityMenuEventArgs> OnShowContextMenu;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when a tool is asked to be deactivated.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public event EventHandler<ToolEventArgs> OnToolDeactivate;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when a tool is asked to be activated.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public event EventHandler<ToolEventArgs> OnToolActivate;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when the history has changed in the undo/redo mechanism.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public event EventHandler<HistoryChangeEventArgs> OnHistoryChange;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when the something got selected and the properties of it 
+    /// can/should be shown.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public event EventHandler<SelectionEventArgs> OnShowSelectionProperties;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when an entity is added.
+    /// <remarks>This event usually is bubbled from one of the 
+    /// layers.</remarks>
+    /// </summary>
+    // ------------------------------------------------------------------
+    public event EventHandler<EntityEventArgs> OnEntityAdded;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when an entity is removed.
+    /// <remarks>This event usually is bubbled from one of the 
+    /// layers.</remarks>
+    /// </summary>
+    // ------------------------------------------------------------------
+    public event EventHandler<EntityEventArgs> OnEntityRemoved;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when the controller receives a mouse-down notification of 
+    /// the surface. This event is raised before the
+    /// event is broadcasted down to the tools.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public event EventHandler<MouseEventArgs> OnMouseDown;
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Occurs when the Ambience has changed.
+    /// </summary>
+    // ------------------------------------------------------------------
+    public event EventHandler<AmbienceEventArgs> OnAmbienceChanged;
+
+
+    #endregion
+
+    #region Tool Names
+
+    public const string AlignBottomEdgesToolName =
+        "Align Bottom Edges Tool";
+
+    public const string AlignCentersHorizToolName =
+        "Align Centers Horizontally";
+
+    public const string AlignCentersVertToolName =
+        "Align Centers Vertically";
+
+    public const string AlignLeftEdgesToolName =
+        "Align Left Edges Tool";
+
+    public const string AlignRightEdgesToolName =
+        "Align Right Edges Tool";
+
+    public const string AlignTopEdgesToolName =
+        "Align Top Edges Tool";
+
+    public const string ComplexRectangleToolName = "ComplexRectangle Tool";
+    public const string ConnectionToolName = "Connection Tool";
+    public const string ConnectorMoverToolName = "Connector Mover Tool";
+    public const string ContextToolName = "Context Tool";
+    public const string CopyToolName = "Copy Tool";
+    public const string CutToolName = "Cut Tool";
+    public const string DeleteToolName = "Delete Tool";
+    public const string DragDropToolName = "DragDrop Tool";
+    public const string EllipseToolName = "Ellipse Tool";
+    public const string GroupToolName = "Group Tool";
+    public const string HitToolName = "Hit Tool";
+    public const string HoverToolName = "Hover Tool";
+    public const string ImageExportToolName = "Image Export Tool";
+    public const string MoveToolName = "Move Tool";
+    public const string MultiLineToolName = "MultiLine Tool";
+    public const string PanToolName = "Pan Tool";
+    public const string PasteToolName = "Paste Tool";
+    public const string PolygonToolName = "Polygon Tool";
+    public const string RectangleToolName = "Rectangle Tool";
+    public const string ScribbleToolName = "Scribble Tool";
+    public const string SelectionToolName = "Selection Tool";
+    public const string SendBackwardsToolName = "SendBackwards Tool";
+    public const string SendForwardsToolName = "SendForwards Tool";
+    public const string SendToBackToolName = "SendToBack Tool";
+    public const string SendToFrontToolName = "SendToFront Tool";
+    public const string TransformToolName = "Transform Tool";
+    public const string UngroupToolName = "Ungroup Tool";
+    public const string ZoomAreaToolName = "Zoom Area Tool";
+    public const string ZoomInToolName = "Zoom In Tool";
+    public const string ZoomOutToolName = "Zoom Out Tool";
+
+    #endregion
+
+    #region Fields
+
+    private bool eventsEnabled = true;
+    private bool controllerEnabled = true;
+
+    private IModel mModel;
+    private UndoManager mUndoManager;
+    ITool activeTool;
+
+    /// <summary>
+    /// the View field
+    /// </summary>
+    private IView mView;
+    private CollectionBase<IMouseListener> mouseListeners;
+    private CollectionBase<IKeyboardListener> keyboardListeners;
+    private CollectionBase<IDragDropListener> dragdropListeners;
+    private IDiagramControl parentControl;
+    private CollectionBase<ITool> registeredTools;
+    private CollectionBase<IActivity> registeredActivity;
+
+    #endregion
+
+    #region Properties
+
+    /// <summary>
+    /// Gets or sets a value indicating whether this <see cref="T:ControllerBase"/> is enabled.
+    /// </summary>
+    /// <value><c>true</c> if enabled; otherwise, <c>false</c>.</value>
+    public bool Enabled {
+      get {
+        return controllerEnabled;
+      }
+      set {
+        controllerEnabled = value;
+      }
+    }
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Gets the currently active tool.  This can be 'null'!!!
+    /// </summary>
+    // ------------------------------------------------------------------
+    public ITool ActiveTool {
+      get {
+        return this.activeTool;
+      }
+    }
+
+    /// <summary>
+    /// Gets or sets the parent control.
+    /// </summary>
+    /// <value>The parent control.</value>
+    public IDiagramControl ParentControl {
+      get { return parentControl; }
+      internal set { parentControl = value; }
+    }
+    /// <summary>
+    /// Gets the registered tools.
+    /// </summary>
+    /// <value>The tools.</value>
+    public CollectionBase<ITool> Tools {
+      get { return registeredTools; }
+    }
+
+
+
+    /// <summary>
+    /// Gets the undo manager.
+    /// </summary>
+    /// <value>The undo manager.</value>
+    public UndoManager UndoManager {
+      get {
+        return mUndoManager;
+      }
+
+    }
+
+    /// <summary>
+    /// Gets or sets the model
+    /// </summary>
+    /// <value></value>
+    public IModel Model {
+      get {
+        return mModel;
+      }
+      set {
+        AttachToModel(value);
+      }
+    }
+
+    /// <summary>
+    /// Gets or sets the view.
+    /// </summary>
+    /// <value>The view.</value>
+    public IView View {
+      get {
+        return mView;
+      }
+      set {
+        AttachToView(value);
+      }
+    }
+
+    /// <summary>
+    /// Attaches to the given view.
+    /// </summary>
+    /// <param name="view">The view.</param>
+    private void AttachToView(IView view) {
+      if (view == null)
+        throw new ArgumentNullException();
+
+      mView = view;
+    }
+    #endregion
+
+    #region Constructor
+
+    // ------------------------------------------------------------------
+    /// <summary>
+    /// Default constructor.
+    /// </summary>
+    // ------------------------------------------------------------------
+    protected ControllerBase(IDiagramControl surface) {
+      //doesn't work if you supply a null reference
+      if (surface == null) {
+        throw new NullReferenceException(
+            "The diagram control assigned to the controller " +
+            "cannot be 'null'");
+      }
+
+      //create the undo/redo manager
+      mUndoManager = new UndoManager(15);
+      mUndoManager.OnHistoryChange += new EventHandler(
+          mUndoManager_OnHistoryChange);
+
+      #region Instantiation of listeners
+      mouseListeners = new CollectionBase<IMouseListener>();
+      keyboardListeners = new CollectionBase<IKeyboardListener>();
+      dragdropListeners = new CollectionBase<IDragDropListener>();
+      #endregion
+
+      //keep a reference to the parent control
+      parentControl = surface;
+
+      AttachToSurface(parentControl);
+
+
+
+      //Initialize the colorscheme
+      ArtPalette.Init();
+
+      #region Tools: the registration order matters!
+      /*
              The order in in which the tools are added matters, at least 
              some of them.
